[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#233801: apt-get -f install not working on ia64?

Package: apt
Version: 0.5.22
Severity: important
Tags: sid

   If I use 'dpkg -i' to install a package (in this case, oprofile),
   it will not install due to a dependency on libqt3c102-mt.  I
   then 'apt-get install libqt3c102-mt', but the apt-get does not
   work and I am told to 'apt-get -f install' to to fix the problem.
   So, I do: I run 'apt-get -f install'.  On an i386 machine running
   Debian unstable, this works fine, and all the needed packages are
   installed and oprofile installed.  On an ia64 machine, however, 
   all that happens is that oprofile is removed.  And if I try to
   apt-get install libqt3c102-mt again, I'm told it has unmet
   dependencies and will not be installed.  So, this could be a
   problem with libqt3c102-mt on ia64; but, the same process works
   on i386 so I thought I'd start with apt-get as the possible

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "ia64";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
Acquire "";
Acquire::http "";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";

-- (no /etc/apt/preferences present) --

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: ia64
Kernel: Linux 2.4.20-mckinley-smp

Versions of packages apt depends on:
ii  libc6.1                    2.3.2.ds1-11  GNU C Library: Shared libraries an
ii  libgcc1                    1:3.3.3-0pre4 GCC support library
ii  libstdc++5                 1:3.3.3-0pre4 The GNU Standard C++ Library v3

-- no debconf information

Reply to: